﻿' Copyright (c) 2010 Manfred Clemens erst.: 19.06.2010, letzte Änderung: 27.06.2010
' ---------------------------------------------------------------------------------
Option Explicit On                        ' explizite Deklarationen aller Variablen
Option Strict On                          ' strikte Datentypkonvertierungen

#Region " Imports "
Imports MdiApp.clsInitStart
Imports MdiApp.K8055d                     ' K8055D.DLL Deklarationen
#End Region

Public Class frmSettings

#Region " Form Events "
#Region " ... Load "
  Private Sub frmSettings_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    ' ---------------------------------------------------------------------------------
    '                                                                    Formular laden
    ' ---------------------------------------------------------------------------------
    clsInitStart.fSettings.MdiParent = MDIForm
    clsInitStart.fSettings.Left = clsInitStart.fConnect.Left + clsInitStart.fConnect.Width
    clsInitStart.fSettings.Top = clsInitStart.fConnect.Top

    cboDebounceTime1.SelectedIndex = 1
    cboDebounceTime2.SelectedIndex = 1
    cboTimer2Interval.SelectedIndex = 0
    cboTimer1IntervalAnalogInputs.SelectedIndex = 1
  End Sub
#End Region

#Region " ComboBoxes"
#Region " ... cboTimer2Interval "
  Private Sub cboTimer2Interval_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboTimer2Interval.SelectedIndexChanged
    ' ---------------------------------------------------------------------------------
    '                                                                          ComboBox
    ' ---------------------------------------------------------------------------------
    If CardSelected = True Then
      Timer2Interval = CInt(cboTimer2Interval.SelectedItem)
    End If
  End Sub
#End Region
#Region " ... cboDebounceTime1 "
  Private Sub cboDebounceTime1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboDebounceTime1.SelectedIndexChanged
    ' ---------------------------------------------------------------------------------
    '                                                                          ComboBox
    ' ---------------------------------------------------------------------------------
    If CardSelected = True Then
      SetCounterDebounceTime(1, CInt(cboDebounceTime1.SelectedItem))
    End If

  End Sub
#End Region
#Region " ... cboDebounceTime2 "
  Private Sub cboDebounceTime2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboDebounceTime2.SelectedIndexChanged
    ' ---------------------------------------------------------------------------------
    '                                                                          ComboBox
    ' ---------------------------------------------------------------------------------
    If CardSelected = True Then
      SetCounterDebounceTime(2, CInt(cboDebounceTime2.SelectedItem))
    End If
  End Sub
#End Region
#Region " ... cboTimer1IntervalAnalogInputs "
  Private Sub cboTimer1IntervalAnalogInputs_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboTimer1IntervalAnalogInputs.SelectedIndexChanged
    If CardSelected = True Then
      Timer1Interval = CInt(cboTimer1IntervalAnalogInputs.SelectedItem)
    End If
  End Sub
#End Region

#End Region

#End Region

 

End Class
